features:
  secondary:
    - name: "GitLab Runner 16.6"
      available_in: [core, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/runner'
      reporter: deastman
      stage: verify
      categories:
        - 'GitLab Runner Core'
      description: |
        We’re also releasing GitLab Runner 16.6 today! GitLab Runner is the lightweight, highly-scalable agent that runs your CI/CD jobs and sends the results back to a GitLab instance. GitLab Runner works in conjunction with GitLab CI/CD, the open-source continuous integration service included with GitLab.

        #### What's new:

        - [GitLab Runner Fleeting plugin for GCP Compute Engine - Beta](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/29409)
        - [Implement graceful shutdown for Docker executor](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/6359)
        - [Dynamically create PVC volumes with storage classes for Kubernetes](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/27835)
        - [Override the container entrypoint through `image.entrypoint` in the Kubernetes executor](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/30713)
        
        #### Bug Fixes:

        - [Pods keep restarting with a Liveness probe failed error after upgrade to GitLab Runner 16.5.0](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/36959)
        - [Debug terminal - variable contains content of file instead of file path](https://gitlab.com/gitlab-org/gitlab/-/issues/399770)
        - [Job execution pods in Kubernetes does not handle signals](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/28162)
        - [Services in GitLab Runner Docker executor using Podman do not start](https://gitlab.com/gitlab-org/gitlab-runner/-/issues/29480)

        The list of all changes is in the GitLab Runner [CHANGELOG](https://gitlab.com/gitlab-org/gitlab-runner/blob/16-6-stable/CHANGELOG.md).
